<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/BackendPopup.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/AdminArticleConnectedsGrid.inc.php" );

	class AdminArticleConnectedsPage extends BackendPopup {

		public function __construct( $id = "AdminArticleConnectedsPage" , $parent = null ) {
			parent::__construct( $id , $parent );
			$this->connected_grid = new AdminArticleConnectedsGrid( "AdminArticleConnectedsGrid" , $this );
		}

		protected function initializeWidgets() {
			$this->connected_grid->article_id = $this->aG["uid"];

		}	

		protected function generateLangdefs() {

		}

		public function render() {
			if (!$this->isLoggedIn()) return parent::render();
			$this->setParam( "title" , __("articles_connecteds" ) );
			$this->initializeWidgets();
			$this->generateLangDefs();
			return parent::render();
		}

	}

?>
